#include <Bluetooth HC-05 Half duplex Esclavo.h>

#include "stdlib.h"

#FUSES NOMCLR

#use rs232(baud=38400, stop=1, parity=N, xmit=PIN_C6, rcv=PIN_C7, bits=8)

int16 val_PAN0=0;
int1 val_PRD0=0;

char recibido[20];

void enviar();


#int_rda
void rda_isr()
{
   memset(recibido, 0, sizeof(recibido)); //limpia los registros de la varible
   int8 i=0;
   while(true)
   {
      recibido[i]=getc();//RECIBE EL CARACTER

      if(recibido[i]=='\r')//busca el salto de linea \r
      {
         recibido[i]='\0';//fin de la cadena = caracter nulo \0
         enviar();
         return;
      }
      i++;
   }
}



void enviar()
{
   signed int8 result;

   int8 PAN0[10] = "PAN0";
   int8 PRD0[10] = "PRD0";

      result = strcmp(recibido, PAN0); //compara, si son iguales (0), no (+-1)

      if (result==0)
      {
         printf("%04lu\r",val_PAN0);//envia el valor del pin AN0
         return;
      }

      result = strcmp(recibido, PRD0);

      if (result==0)
      {
         printf("%u\r",val_PRD0);//envia el valor del pin RD0
         return;
      }

}




void main()
{
   enable_interrupts(int_rda);
   enable_interrupts(global);

   setup_adc(ADC_CLOCK_INTERNAL);

   while(TRUE)
   {
       set_adc_channel (0); //Habilita el canal AN0
       val_PAN0 = read_adc(); //lectura del potenciometro
       
       
       val_PRD0 = input(pin_d0); // lectura del boton

      //TODO: User Code
   }

}
